<template>
  <div class="bg-gray-100 container min-h-screen py-16 md:py-8"
     id="work">
    <h2
        class="font-header font-semibold text-gray-600 text-4xl sm:text-5xl lg:text-6xl uppercase text-center">
        My work experience</h2>
    <h3
        class="font-header font-medium text-gray-600 text-xl sm:text-2xl lg:text-3xl pt-6 text-center">
        Here's what I did before freelancing</h3>

    <div class="w-full lg:w-2/3 mx-auto flex flex-col mt-12 relative">
        <span class="absolute inset-y-0 lg:ml-48 xl:ml-64 md:ml-52 w-1 bg-gray-600 hidden md:block"></span>

        <div v-for="(experience, index) in experiences" :key="index" class="flex flex-col md:flex-row text-center md:text-left mt-8">
            <div class="md:w-2/5">
                <div class="flex justify-center md:justify-start">
                    <span class="flex-shrink-0">
                        <img :src=experience.companyLogo
                            class="w-32 h-auto"
                            alt="company logo" />
                    </span>
                    <div class="relative w-full ml-3 hidden md:block">
                        <span class="h-0.5 bg-gray-600 absolute inset-x-0 top-1/2 transform -translate-y-1/2"></span>
                    </div>
                </div>
            </div>
            <div class="md:w-3/5">
                <div class="flex md:pl-18 relative">
                    <span class="border-2 border-gray-200 rounded-full w-4 h-4 absolute left-7 top-1 bg-gray-600 hidden md:block -mx-7"></span>

                    <div class="mt-1 flex">
                        <div class="md:pl-8 md:-mt-1">
                            <span class="font-body font-bold text-purple-700 block">
                                {{experience.joinDate}} - {{experience.leaveDate}}</span>
                            <span
                                  class="font-header font-bold text-xl text-gray-600 uppercase block pt-2">Frontend Developer</span>
                            <div class="pt-2">
                                <span class="font-body text-gray-600 block">{{experience.jobDescription}} </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
      
        
    </div>
</div>
</template>

<script>
import Spotify from '../../assets/img/logo-spotify.svg'
import Microsoft from '../../assets/img/logo-microsoft.svg'
import FedEx from '../../assets/img/logo-fedex.svg'

export default {
   
   data(){
       return{
           experiences:[
               {
                 companyLogo : Spotify,
                 joinDate : 'Apr 2015',
                 leaveDate : 'Mar 2018',
                 currentlyWorking : false,
                 jobTitle : 'FRONTEND DEVELOPER',
                 jobDescription : 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum mattis felis vitae risus pulvinar tincidunt. Nam ac venenatis enim.',
               },
                              {
                 companyLogo : Microsoft,
                 joinDate : 'Mar 2018',
                 leaveDate : 'September 2019',
                 currentlyWorking : false,
                 jobTitle : 'SOFTWARE ENGINEER',
                 jobDescription : 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum mattis felis vitae risus pulvinar tincidunt. Nam ac venenatis enim.',
               },
                              {
                 companyLogo : FedEx,
                 joinDate : 'October 2019',
                 leaveDate : 'March 2021',
                 currentlyWorking : 'Feb 2021',
                 jobTitle : 'DEVOPS ENGINEER',
                 jobDescription : 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum mattis felis vitae risus pulvinar tincidunt. Nam ac venenatis enim.',
               },
           ]
       }
   }
}
</script>

<style>

</style>